Name:           SoXt
Version:        1.3.0
Release:        1%{?dist}
Summary:        A high-level 3D graphics toolkit on top of OpenGL

License:        GPLv2+
URL:            http://www.coin3d.org
Source0:        https://bitbucket.org/Coin3D/coin/downloads/%{name}-%{version}.tar.gz

%if 0%{?fedora} > 23
BuildRequires:  motif-devel
%else
BuildRequires:  lesstif-devel
%endif
BuildRequires:  libXpm-devel
BuildRequires:  libSM-devel
BuildRequires:  Coin3-devel

%description
SoXt is an alternative to SGIs InventorXt library, which is a GUI binding
for using Open Inventor with Xt/Motif.  While SoXt has been developed for
use with Coin, it is also possible to compile it against Open Inventor
from SGI or TGS.  A goal is to eventually become 100% source code
compatible with the InventorXt library, which is still way off, especially
when it comes to creating derived classes.

%package devel
Summary:       Development libraries for SoXt
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      Coin3-devel

%description    devel
Libraries and headers required to develop software with SoXt.


%prep
%setup -q

find -name 'Makefile.*' -exec sed -i -e 's,\$(datadir)/Coin,$(datadir)/Coin3,' {} \;


%build
%configure --includedir=%{_includedir}/Coin3
make %{?_smp_mflags}


# Strip the default libdir
sed -i -e "s,\-L%{_libdir} ,," soxt-default.cfg

# coin-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin3/conf/,g" soxt-config

# HACK: Remove rid of %%optflags and %%__global_ldflags
sed -i -e "s|%{optflags}||" SoXt.pc soxt-default.cfg
sed -i -e "s|%{__global_ldflags}||" SoXt.pc soxt-default.cfg
sed -i -e "s|@soguiincludedir@|%{_includedir}/Coin3|" soxt-default.cfg


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name "*.la" -delete

mkdir -p $RPM_BUILD_ROOT%{_libdir}/Coin3/conf/
mv $RPM_BUILD_ROOT%{_datadir}/Coin3/conf/soxt-default.cfg $RPM_BUILD_ROOT%{_libdir}/Coin3/conf/
rm -rf $RPM_BUILD_ROOT%{_datadir}/Coin3/conf/
cd $RPM_BUILD_ROOT%{_includedir}
ln -s Coin3/Inventor Inventor

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README LICENSE.GPL BUGS.txt
%{_libdir}/libSoXt.so.20*

%files devel
%doc HACKING
%{_bindir}/soxt-config
%{_includedir}/Coin3/Inventor/Xt
%{_includedir}/Inventor
%{_libdir}/libSoXt.so
%{_libdir}/pkgconfig/SoXt.pc
%{_libdir}/Coin3/conf/soxt-default.cfg
%{_datadir}/aclocal/soxt.m4
%{_mandir}/man1/soxt-config.1.*

%changelog
* Thu Jan  7 2016 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.0-1
- Initial RPM release
